org.richfaces.fragment.panelMenu

## Class RichFacesPanelMenuGroup

- java.lang.Object
- - org.richfaces.fragment.panelMenu.AbstractPanelMenu
  - - org.richfaces.fragment.panelMenu.RichFacesPanelMenuGroup

- All Implemented Interfaces:
    AdvancedInteractions<AbstractPanelMenu.AdvancedAbstractPanelMenuInteractions>, AdvancedVisibleComponentIteractions<AbstractPanelMenu.AdvancedAbstractPanelMenuInteractions>, PanelMenu, PanelMenuGroup

      public class RichFacesPanelMenuGroup
      extends AbstractPanelMenu

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `RichFacesPanelMenuGroup.AdvancedPanelMenuGroupInteractions`

    - ### Nested classes/interfaces inherited from class org.richfaces.fragment.panelMenu.AbstractPanelMenu

      `AbstractPanelMenu.AdvancedAbstractPanelMenuInteractions`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RichFacesPanelMenuGroup()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `RichFacesPanelMenuGroup.AdvancedPanelMenuGroupInteractions` | `advanced()`
    `List<org.openqa.selenium.WebElement>` | `getMenuGroups()`
    `List<org.openqa.selenium.WebElement>` | `getMenuItems()`

    - ### Methods inherited from class org.richfaces.fragment.panelMenu.AbstractPanelMenu

      `collapseAll, collapseGroup, collapseGroup, collapseGroup, expandAll, expandGroup, expandGroup, expandGroup, selectItem, selectItem, selectItem`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RichFacesPanelMenuGroup

          public RichFacesPanelMenuGroup()

  - ### Method Detail

    - #### getMenuItems

          public List<org.openqa.selenium.WebElement> getMenuItems()

      Specified by:
        `getMenuItems` in class `AbstractPanelMenu`

    - #### getMenuGroups

          public List<org.openqa.selenium.WebElement> getMenuGroups()

      Specified by:
        `getMenuGroups` in class `AbstractPanelMenu`

    - #### advanced

          public RichFacesPanelMenuGroup.AdvancedPanelMenuGroupInteractions advanced()

      Specified by:
        `advanced` in interface `AdvancedInteractions<AbstractPanelMenu.AdvancedAbstractPanelMenuInteractions>`
      Specified by:
        `advanced` in class `AbstractPanelMenu`

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.